# ``twisted`.`internet`.`interfaces`.`IUNIXDatagramTransport``

interface documentation

`class IUNIXDatagramTransport(Interface): (source)`

Known implementations: `twisted.internet.unix.DatagramPort`

View In Hierarchy

Transport for UDP PacketProtocols.

Method | `getHost` | Returns `UNIXAddress`.
Method | `write` | Write packet to given address.

def getHost(): (source)
Returns `UNIXAddress`.

Returns
`UNIXAddress` | Undocumented

def write(packet, addr): (source)
Write packet to given address.

Parameters
packet:`bytes` | Undocumented
addr:`str` | Undocumented